/*
	Relay -- a tool to record and play Quake2 demos
	Copyright (C) 2000 Conor Davis

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

	Conor Davis
	cedavis@planetquake.com
*/

#ifndef __UTILS_H
#define __UTILS_H

#include <stdlib.h>

#include "block.h"

extern size_t mstime();
extern void msleep(size_t msecs);
extern const char *read_line();
extern char *GamePath(char *dest, char *basedir, char *gamedir);
extern qboolean FileExists(char *filename);
extern int ExpandString(char *dest, int len, char *src, char format[256][32]);
extern int LoadFile(char *path, block_t *block);
extern int Pack_LoadFile(char *path, block_t *block);
extern const char *PlayerName(const char *s);
extern char *strcatf(char *out, size_t size, const char *fmt, ...);

#endif	// __UTILS_H
